Summary:	xkbutils applications: xkbbell, xkbvleds, xkbwatch
Summary(pl.UTF-8):	Aplikacje xkbutils: xkbbell, xkbvleds, xkbwatch
Name:		xorg-app-xkbutils
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xkbutils-%{version}.tar.xz
# Source0-md5:	cf65ca1aaf4c28772ca7993cfd122563
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xkbutils is a collection of small utilities utilizing the XKeyboard
(XKB) extension to the X11 protocol. It includes:
- xkbbell: generate XKB bell events
- xkbvleds: display the state of LEDs on an XKB keyboard in a window
- xkbwatch: reports changes in the XKB keyboard state

%description -l pl.UTF-8
xkbutils to zbiór małych narzędzi wykorzystujących rozszerzenie XKB
(XKeyboard) protokołu X11. Zawiera:
- xkbbell - generujące zdarzenia dzwonka XKB
- xkbvleds - wyświetlające w okienku stan diod na klawiaturze XKB
- xkbwatch - zgłaszające zmiany stanu klawiatury XKB

%prep
%setup -q -n xkbutils-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xkbbell
%attr(755,root,root) %{_bindir}/xkbvleds
%attr(755,root,root) %{_bindir}/xkbwatch
%{_mandir}/man1/xkbbell.1*
%{_mandir}/man1/xkbvleds.1*
%{_mandir}/man1/xkbwatch.1*
%changelog
* Wed Jul 13 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xkbutils.git;a=log;h=master

* Wed Jul 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 1185e3e
- updated to 1.0.5

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 7accb90
- fix files
- rel 2

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 5a7dea9
- updated to 1.0.4

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> fcd0a38
- BR: xorg-proto-inputproto-devel
- dropped unused BR: xorg-lib-libxkbfile-devel

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 9ab3be3
- updated to 1.0.3

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> cf88654
- updated to 1.0.2

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aeb675b
- rel 4; don't rebuild am/ac untill rebuild tarball available

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bacd3bf
- release 3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c26367
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4e5ac0e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e848475
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> d4d92c6
- fixed bogus descs

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 5ed25e5
- use individual dir, more verbose files, release 1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 7eee303
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> c77aa4f
- 0.99.2 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 5dbf4f7
- 0.99.1 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> a706051
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 64ab96a
- switched to 0.99.0 from X11R7.0-RC1

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> e49f6db
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> ef9fd2d
- standard permisions to binaries

